/**
 * @file
 * Vue app for checkout.
 */

(function ($) {
  "use strict";

  $(document).ready(function () {
    phoneInputMask();
  });

  function phoneInputMask() {
    const lang = drupalSettings.path.currentLanguage;
    if (lang == 'ru') {
      $('.field--name-field-customer-phone input').inputmask('+7 (999) 999-99-99', {'clearIncomplete': true});
    }
    else {
      $('.field--name-field-customer-phone input').inputmask('+9 (999) 999-99-99', { 'clearIncomplete': true });
    }
  }

})(this.jQuery);
